$(document).ready(				
		function() {
					//$.fixedToolbars.setTouchToggleEnabled(false);
				jQuery('#save_settings').click(function(e) {
						console.log('### SAVE SETTINGS');
						// WRITE USER SETTINGS
						var url = $("#piwigo_url").val();
						localStorage.setItem("piwigo_url", url);
						console.log('url: ' + url);

						var username = $("#piwigo_username").val();
						localStorage.setItem("piwigo_username", username);
						console.log('username: ' + username);

						var password = $("#piwigo_password").val();
						localStorage.setItem("piwigo_password", password);
						console.log('password: ' + password);

						var logincheckdelay = $("#piwigo_logincheck_delay").val();
						localStorage.setItem("piwigo_logincheck_delay", logincheckdelay);
						console.log('logincheckdelay: ' + logincheckdelay);						
												
						piwigoLogin();
						//$('#settings').page('refresh');
						location.reload(true);
					});
					// CONNECT TO PIWIGO					
					var piwigoLoginStat = function(doLoginStat) {
						var urlLoginStat = url + 'ws.php?format=json&method=pwg.session.getStatus';
						var query = 'ws.php?format=json&method=pwg.session.getStatus';
						console.log('urlLoginStat: ' + urlLoginStat);
						// alert(urlLogin);
						$.ajax({
									type : "POST",
									url : urlLoginStat,
									dataType : "json",
									data : query,
									success : function(json) {
										$('#loginMsg').html('<span class="connected"> Login Status: '	+ json.stat + '</span>');
										$('.statusBar').html('<span class="connected"> Login: '	+ json.stat);
										console.log('Login Status: ' + json.stat);
										clearInterval(loginInterval);
										loginInterval = setInterval(piwigoLoginStat,logincheckdelay);						
									},
									error : function(json) {
										$('#loginMsg').html('<span class="notConnected">Login Status: ' + json.stat + ', check URL </span>');
										$('.statusBar').html('<span class="notConnected">Login: ' + json.stat + ', check URL </span>');
										console.log('Login Status: ' + json.stat);
										clearInterval(loginInterval);
									}
								});
					};
					var piwigoLogin = function(doLogin) {
						$.mobile.pageLoading();
						var urlLogin = url + 'ws.php?format=json&method=pwg.session.login&username=' + username + '&password=' + password;
						var query = "format=json&method=pwg.session.login&username=" + username + "&password=" + password;
						console.log('urlLogin: ' + urlLogin);
						// alert(urlLogin);
						$.ajax({
									type : "POST",
									url : urlLogin,
									dataType : "json",
									data : query,
									success : function(json) {
										$('#loginMsg').html('<span class="connected"> Login Status: '	+ json.stat + '</span>');
										$('.statusBar').html('<span class="connected"> Login: '	+ json.stat);
										console.log('Login: ' + json.stat);
										clearInterval(loginInterval);
										loginInterval = setInterval(piwigoLoginStat,logincheckdelay);
										$.mobile.pageLoading(true);
									},
									error : function(json) {
										$('#loginMsg').html('<span class="notConnected">Login Status: ' + json.stat + ', check URL </span>');
										$('.statusBar').html('<span class="notConnected">Login: ' + json.stat + ', check URL </span>');
										console.log('Login: ' + json.stat);
										clearInterval(loginInterval);
										$.mobile.pageLoading(true);
									}
								});
					};
					 $("a.loadGallery").live('click', function(){
						var catid = $(this).attr('rel');
						localStorage.setItem("piwigo_catid", catid);
						console.log('catid: ' + catid);

						var catname = $(this).text();
						localStorage.setItem("piwigo_catname", catname);
						console.log('catname: ' + catname);
						var catname = localStorage.getItem("piwigo_catname");
						$('#galleryShow h1').text(catname);
					});

					// LOAD IMAGES + GALLERY
					$('#galleryShow').bind('pageshow', function(getCatid) {
						$('#gallery').empty();
						$.mobile.pageLoading();
						var catid = localStorage.getItem("piwigo_catid");
						var urlImages = url + 'ws.php?format=json&method=pwg.categories.getImages&cat_id=' + catid;
						var queryImages = 'ws.php?format=json&method=pwg.categories.getImages&cat_id=' + catid;
						console.log('urlImages: ' + urlImages);
						//alert(urlImages);
						$.ajax({
									type : "GET",
									url : urlImages,
									dataType : "json",
									data : queryImages,
									success : function(data) {
										/* alert(dump(data)); */
										for ( var i = 0; i < data.result.images._content.length; i++) {
											var images = data.result.images._content[i];
											console.log('images: ' + images._content);
											$('#gallery')
													.append('<div class="gallery-item"><a data-ajax="false" href="' + images.element_url + '"><img src="' + images.tn_url + '" title="' + images.file + '" alt="' + images.file + '"/></a></div>');
										}
										$("#gallery a").photoSwipe();
										$('div.gallery-page').live('pageshow', function(e){
											// Re-initialize with the photos for the current page
											$("div#gallery a", e.target).photoSwipe();
											return true;
										});
										var imagesPerRow = 4;
										var imagesMargin = imagesPerRow * 3;
										var docWidth = $(document).width();
										// alert(docWidth);
										var tnSize = docWidth / imagesPerRow - imagesMargin;
										// alert(tnSize);
										$('.gallery-item').height(tnSize).width(tnSize);
										//var heightImage = $('.gallery-item img').height();
										//var widthImage = $('.gallery-item img').width();
										
										//if(heightImage > widthImage) {
										//	alert(heightImage + ' ist groesser als ' + widthImage);
										//} else {
										//	alert(widthImage + ' ist groesser als ' + heightImage);
										//};
										$.mobile.pageLoading(true);
										$("#galleryContainer").scrollview("scrollTo", 0, 0);
									},
								});
					});
				    // LOAD CATEGORIES ON PAGESHOW	
					$('#page').live('pageshow', function() {
						$.mobile.pageLoading();
						$('.categories').html('');
				    	var urlCat = url + "ws.php?format=json&method=pwg.categories.getList";
						var queryCat = 'ws.php?format=json&method=pwg.categories.getList';
						$.ajax({
							type : "GET",
							url : urlCat,
							dataType : "json",
							data : queryCat,
							success : function(data) {
							/* alert(dump(data)); */
							$.mobile.pageLoading(true);
							$('ul').listview();
							for ( var i = 0; i < data.result.categories.length; i++) {
								var category = data.result.categories[i];
								console.log('category: ' + category.name);
								$('.categories')
										.append(
												'<li><a class="loadGallery" rel="'
														+ category.id
										 				+ '" href="#galleryShow">'
														+ category.name
														+ ' </a><span class="ui-li-count">'
														+ category.total_nb_images
														+ ' </span></li>')
										.listview('refresh');
							};
						}
					});						
				    });

					// SET STATUS-CHECK INTERVAL and KICK IT
					loginInterval = setInterval(piwigoLoginStat,5000);
					
					// LOADING CATEGORIES ON FIRST PAGE LAOD
					$.getJSON(
							/* "http://piwigo.knallimall.org/ws.php?format=json&method=pwg.categories.getList", */
							url + "ws.php?format=json&method=pwg.categories.getList",
							function(data) {
								/* alert(dump(data)); */
								$('.categories').html('');
								$('ul').listview();
								for ( var i = 0; i < data.result.categories.length; i++) {
									var category = data.result.categories[i];
									console.log('category: ' + category.name);
									$('.categories')
									.append(
											'<li><a class="loadGallery" rel="'
													+ category.id
									 				+ '" href="#galleryShow">'
													+ category.name
													+ ' </a><span class="ui-li-count">'
													+ category.total_nb_images
													+ ' </span></li>')
									.listview('refresh');
								}
							});
			
					var url = localStorage.getItem("piwigo_url");
					var username = localStorage.getItem("piwigo_username");
					var password = localStorage.getItem("piwigo_password");
					var logincheckdelay = localStorage.getItem("piwigo_logincheck_delay");

					$("#piwigo_url").val(url);
					$("#piwigo_username").val(username);
					$("#piwigo_password").val(password);
					$("#piwigo_logincheck_delay").val(logincheckdelay);
					
					
					$('#settings').bind('pageshow', function(getSettings) {						
						$("#piwigo_url").val(url);
						$("#piwigo_username").val(username);
						$("#piwigo_password").val(password);
						$("#piwigo_logincheck_delay").val(logincheckdelay);
						piwigoLogin();
					});

					// FUNCTIONS NEED TO BE CALLED ONLOAD
					$(window).load(function() {
						piwigoLogin();
					});
				});


function onDeviceReady()
{
    // do your thing!
    document.addEventListener("orientationChanged", UpdateOrientation);

}
